
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>string-ibatis Oracle函数配置（字符串格式不匹配） / iVAN</title>

    <meta name="description" content="string-ibatis Oracle函数配置（字符串格式不匹配） 问题描述 ibatis Oracle函数配置(字符串格式不匹配) 用iBATIS配置数据库函数调用的问题,出现的是ORA-01861: literal does not match format string(字符串格式不匹配) 求大虾 解救 急 下面是关键代码 这是数据库函数的参数列表 (pi_Money IN NUMBER, --交易金额 pi_BankNo IN VARCHAR2, -- 银行代码 pi_FundId IN VARCHAR2, -- 目标基金 pi_Apkind IN VA">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">string-ibatis Oracle函数配置（字符串格式不匹配）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>问题描述</h1>
<dl>
<dt>ibatis Oracle函数配置（字符串格式不匹配）
        </dt>
<dd>
          <br />用iBATIS配置数据库函数调用的问题，出现的是ORA-01861: literal does not match format string（字符串格式不匹配）<br />
求大虾  解救  急</p>
<p>下面是关键代码</p>
<p>这是数据库函数的参数列表<br />
(pi_Money  IN NUMBER, --交易金额<br />
 pi_BankNo IN VARCHAR2, -- 银行代码<br />
 pi_FundId IN VARCHAR2, -- 目标基金<br />
 pi_Apkind IN VARCHAR2, --购买方式</p>
<p>pi_CustNo IN VARCHAR2, -- 交易账号<br />
 pi_Apdt   IN DATE, -- 申请日期</p>
<p>po_fee     OUT NUMBER, -- 手续费<br />
 po_ErrCode OUT VARCHAR2, -- 返回代码<br />
 po_ErrMsg  OUT VARCHAR2 -- 返回信息</p>
<p>ibatis的配置</p>
<p>&lt;![CDATA[ <br />
            {#{flag,mode=OUT,jdbcType=INTEGER}=call f_GetInternetFee(#{pi_Money,mode=IN,jdbcType=DOUBLE},<br />
                #{pi_BankNo,mode=IN,jdbcType=VARCHAR},<br />
                #{pi_FundId,mode=IN,jdbcType=VARCHAR},<br />
                #{pi_Apkind,mode=IN,jdbcType=VARCHAR},<br />
                #{pi_CustNo,mode=IN,jdbcType=VARCHAR},<br />
                to_date(&#039;2014/11/11&#039;,&#039;yyyy-MM-dd&#039;),</p>
<pre><code>            #{po_fee,mode=OUT,jdbcType=DOUBLE},
            #{po_ErrCode,mode=OUT,jdbcType=VARCHAR},
            #{po_ErrMsg,mode=OUT,jdbcType=VARCHAR})}
    ]]&gt;
&lt;/select&gt;

这是测试代码
Map&lt;String,Object&gt; map=new HashMap&lt;String, Object&gt;();
        map.put("pi_Money", 50000.0);
        map.put("pi_BankNo", "095");
        map.put("pi_FundId", "050002");

        map.put("pi_Apkind", "022");
        map.put("pi_CustNo", "001553218");
        map.put("pi_Apdt", new Date());
        internetFeeCenterDao.getInternetFee(map);
        System.out.println(map.get("po_fee"));

        报错的结果：
        2015-07-03 15:58:05 [java.sql.PreparedStatement]-[DEBUG] ==&gt;  Executing: {?=call f_GetInternetFee (?, ?, ?, ?, ?, ?, ?, ?, ? )}  -(:28)
</code></pre>
<p>2015-07-03 15:58:05 [java.sql.PreparedStatement]-[DEBUG] ==&gt; Parameters: 50000.0(Double), 095(String), 050002(String), 022(String), 001553218(String), 2015-01-11(String) -(:28)<br />
org.apache.ibatis.exceptions.PersistenceException:</p>
<h3>Error querying database.  Cause: java.sql.SQLException: ORA-01861: literal does not match format string</h3>
<p>ORA-06512: at line 1</p>
<h3>The error may involve com.bosera.trade.dao.center.IInternetFeeCenterDao.getInternetFee-Inline</h3>
<h3>The error occurred while setting parameters</h3>
<h3>Cause: java.sql.SQLException: ORA-01861: literal does not match format string</h3>
<p>ORA-06512: at line 1</p>
<pre><code>at org.apache.ibatis.exceptions.ExceptionFactory.wrapException(ExceptionFactory.java:8)
at org.apache.ibatis.session.defaults.DefaultSqlSession.selectList(DefaultSqlSession.java:80)
at org.apache.ibatis.session.defaults.DefaultSqlSession.selectList(DefaultSqlSession.java:72)
at org.apache.ibatis.session.defaults.DefaultSqlSession.selectOne(DefaultSqlSession.java:38)
at org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:75)
at org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:38)
at $Proxy10.getInternetFee(Unknown Source)
at com.bosera.trade.junittest.JunitMybatisTest.test(JunitMybatisTest.java:62)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:597)
at org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:44)
at org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:15)
at org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:41)
at org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:20)
at org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:28)
at org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:31)
at org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:73)
at org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:46)
at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:180)
at org.junit.runners.ParentRunner.access$000(ParentRunner.java:41)
at org.junit.runners.ParentRunner$1.evaluate(ParentRunner.java:173)
at org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:28)
at org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:31)
at org.junit.runners.ParentRunner.run(ParentRunner.java:220)
at org.eclipse.jdt.internal.junit4.runner.JUnit4TestReference.run(JUnit4TestReference.java:46)
at org.eclipse.jdt.internal.junit.runner.TestExecution.run(TestExecution.java:38)
at org.eclipse.jdt.internal.junit.runner.RemoteTestRunner.runTests(RemoteTestRunner.java:467)
at org.eclipse.jdt.internal.junit.runner.RemoteTestRunner.runTests(RemoteTestRunner.java:683)
at org.eclipse.jdt.internal.junit.runner.RemoteTestRunner.run(RemoteTestRunner.java:390)
at org.eclipse.jdt.internal.junit.runner.RemoteTestRunner.main(RemoteTestRunner.java:197)
</code></pre>
<p>Caused by: java.sql.SQLException: ORA-01861: literal does not match format string<br />
ORA-06512: at line 1</p>
</dd>
</dl>
<h1>解决方案</h1>
<p>参数如期为字符串，与字段类型不符，你不作to_date处理应该是没有问题的</p>
<p>解决方案二：<br />
    <br />我测试了好几个小时，后来发现错误提示里还是以前的数据。我就重启了MyEclipse，测试发现是DATE格式错误！自己解决了！</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-10 14:35:42</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/oracle/" title="oracle">oracle</a>, <a href="https://www.iamivan.net/tag/string/" title="string">string</a>, <a href="https://www.iamivan.net/tag/ibatis/" title="ibatis">ibatis</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>string-ibatis Oracle函数配置（字符串格式不匹配）的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmE5VDp.html" rel="bookmark">Oracle 函数大全&lbrack;字符串函数，数学函数，日期函数&rsqb;第1&sol;4页&lowbar;Oracle应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SQL中的单记录函数 1.ASCII 返回与指定的字符对应的十进制数; SQL&gt; select ascii('A') A,ascii('a') a,ascii('0') zero,ascii(' ') space from dual; A A ZERO SPACE --------- --------- --------- --------- 65 97 48 32 2.CHR 给出整数,返回对应的字符; SQL&gt; select chr(54740) zhao,chr(65) chr65 fr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YMRGxBp.html" rel="bookmark">ORACLE常用数值函数、转换函数、字符串函数介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				oracle|函数|转换|字符串 ORACLE常用数值函数.转换函数.字符串函数介绍. 数值函数: abs(m) m的绝对值 mod(m,n) m被n除后的余数 power(m,n) m的n次方 round(m[,n]) m四舍五入至小数点后n位的值(n缺省为0)trunc(m[,n]) m截断n位小数位的值(n缺省为0) -------------------------------------------------------------------------------- 字符函数:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwK3QWz.html" rel="bookmark">ORACLE常用数值函数、转换函数、字符串函数&lowbar;oracle</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文更多将会介绍三思在日常中经常会用到的,或者虽然很少用到,但是感觉挺有意思的一些函数.分二类介绍,分别是: 著名函数篇 -经常用到的函数 非著名函数篇-即虽然很少用到,但某些情况下却很实用 注:N表示数字型,C表示字符型,D表示日期型,[]表示内中参数可被忽略,fmt表示格式. 单值函数在查询中返回单个值,可被应用到select,where子句,start with以及connect by 子句和having子句. (一).数值型函数(Number Functions) 数值型函数输入数字型参			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba6nPQM.html" rel="bookmark">javascript自定义函数参数传递为字符串格式&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				自定义函数参数传递为 字符串格式 ,传递方式 1:用this传递 2:引号缺省 3:转义字符(html中 &quot; 代表&quot;双引号,'代表单引号,javascript中直接\&quot; 和Java通用转义字符集) &lt;html&gt; &lt;head&gt; &lt;script language=&quot;LiveScript&quot;&gt; function print(arg){ alert(&quot;你好!&quot;+arg); } &lt;/script&gt; &			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MR9yykb.html" rel="bookmark">日常收集整理oracle trunc 函数处理日期格式&lpar;很实用&rpar;&lowbar;oracle</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文给大家分享的oracle trunc 函数处理日期格式的相关知识,非常具有参考价值,具体请看下文说明吧. 复制代码 代码如下: select to_char(sysdate,'yyyy-mm-dd hh24:mi:ss') from dual;  --显示当前时间 2011-12-29 16:24:34 复制代码 代码如下: select trunc(sysdate,'year') from dual; --截取到年(本年的第一天) 2011-1-1 复制代码 代码如下: select tr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YMRjrGM.html" rel="bookmark">Oracle函数列表速查</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				oracle|函数  PL/SQL单行函数和组函数详解 函数是一种有零个或多个参数并且有一个返回值的程序.在SQL中Oracle内建了一系列函数,这些函数都可被称为SQL或PL/SQL语句,函数主要分为两大类: 单行函数 组函数 本文将讨论如何利用单行函数以及使用规则. SQL中的单行函数 SQL和PL/SQL中自带很多类型的函数,有字符.数字.日期.转换.和混合型等多种函数用于处理单行数据,因此这些都可被统称为单行函数.这些函数均可用于SELECT,WHERE.ORDER BY等子句中,例如下			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lp5xm6M.html" rel="bookmark">ORACLE函数大全</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				oracle|函数 SQL中的单记录函数1.ASCII返回与指定的字符对应的十进制数;SQL&gt; select ascii('A') A,ascii('a') a,ascii('0') zero,ascii(' ') space from dual;        A         A      ZERO     SPACE--------- --------- --------- ---------       65        97        48        32 2.CHR给出整			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9zelDNp.html" rel="bookmark">&lbrack;收藏&rsqb;ORACLE函数大全</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				oracle|函数 SQL中的单记录函数1.ASCII返回与指定的字符对应的十进制数;SQL&gt; select ascii('A') A,ascii('a') a,ascii('0') zero,ascii(' ') space from dual;         A         A      ZERO     SPACE--------- --------- --------- ---------       65        97        48        32 2.CHR给出			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQrVR0M.html" rel="bookmark">Python新型字符串格式漏洞分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 本文对Python引入的一种格式化字符串的新型语法的安全漏洞进行了深入的分析,并提供了相应的安全解决方案. 当我们对不可信的用户输入使用str.format的时候,将会带来安全隐患--对于这个问题,其实我早就知道了,但是直到今天我才真正意识到它的严重性.因为攻击者可以利用它来绕过Jinja2沙盒,这会造成严重的信息泄露问题.同时,我在本文最后部分为str.format提供了一个新的安全版本. 需要提醒的是,这是一个相当严重的安全隐患,这里之所以撰文介绍,是因为大多数人很可能不知道它是多么容			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpk2OyM.html" rel="bookmark" class="title">X3D实战基础讲座之五</a>
					<div>
						在X3D场景空间中,每一个造型都有其空间坐标,通过修改空间坐标系就可以使该造型在场景空间中移动.旋转和缩放等. X3D提供Transform节点来进行造型的几何变换,该节点的主要属性如下表所示: 属性 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM193KM.html" rel="bookmark" class="title">用AxureRP做实例原型设计的步骤</a>
					<div>
						一般来说都是先有实例再组合成整体,但是我们的设计过程都需要先从整体的布局考虑,再来细化每个功能点.因此实例的原型设计在一些中高保真度要求的原型里面就尤为重要,再者一般学习AxureRP都是从模仿别人的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBP1Op.html" rel="bookmark" class="title">Javascript学习笔记&colon;substring&lpar;start&comma;end&rpar;</a>
					<div>
						文章简介:substring()用法. 一个小例子:var name=&quot;&quot;;var firstname;name=prompt(&quot;请输入你的名字,要小写的拼音&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBAQaz.html" rel="bookmark" class="title">第六课&colon;ASP脚本循环语句</a>
					<div>
						在本文上两篇中,我们学习了脚本语言 VBScript 的变量.函数.过程和条件语句,本篇将继续给大家介绍 VBScipt 的循环语句,并对脚本语言在 ASP 中的应用加以总结. 如果有人告诉你学习 A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLrJ0b.html" rel="bookmark" class="title">建立灵巧结构的PHP程序</a>
					<div>
						很早就想写这篇文章了,但一直没有时间完成它.不是说我来告诉大家如何做,我更希望本文只是做为一个引子,与大家来讨论关于如何建立一个有效地.灵活的网络应用程序. 经过了2-3年的网络应用程序开发工作,我的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRllRz.html" rel="bookmark" class="title">电脑CPU常识</a>
					<div>
						1.CPU频率越高性能就越高吗?     不一定.这是在很多新手当中存在的误区.CPU性能取决于很多综合参数,不一定根频率成正比.当然,在同系列的CPU中,比如都是赛扬 4,频率越高性能越高.     ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnYY4z.html" rel="bookmark" class="title">让右键菜单拥有图片预览音乐试听功能</a>
					<div>
						常用电脑的人,相信也少不了和图片.音乐打交道:这时候我们往往有这样的问题,打开有大量图片的文件夹时,往往找不到自己需要的图片:设为缩略图模式吧,往往会卡很长时间用来读取缩略图,很不爽. 这里提供个简单 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxW0R7b.html" rel="bookmark" class="title">Visio2007依据形状的数据着色技巧</a>
					<div>
						  Visio2007依据形状的数据着色技巧 唯一值可向所有具有相同值的形状应用相同的颜色.例如,可以将销售部门雇员的所有形状标为黄色,而将财务部门雇员的所有形状标为红色. Visio2007 范围值 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwlyep.html" rel="bookmark" class="title">千牛工作台卖家版聊天记录空白怎么办</a>
					<div>
						  千牛工作台卖家版聊天记录没有是什么情况?如何解决? 把电脑上的安装的所有旺旺,包括之前的卖家版和千牛全部卸载(清除痕迹)然然后重新安装千牛,就可以解决了.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr393mp.html" rel="bookmark" class="title">6倍性能差100TB容量，阿里云POLARDB如何实现？</a>
					<div>
						一. POLARDB产品架构简介 POLARDB是阿里云数据库团队研发的基于第三代云计算架构下的商用关系型云数据库产品,实现100%向下兼容MySQL 5.6的同时,支持单库容量扩展至上百TB以及计算 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq86Reb.html" rel="bookmark" class="title">《R语言数据分析》&mdash;&mdash;1&period;4　从数据库中导入数据</a>
					<div>
						1.4 从数据库中导入数据 使用一个专用的数据库测试平台比根据需要从磁盘中导入文件效率要高很多,这是由数据库本身特性决定的: 对大数据表的访问速度更快 在数据导入R前,提供了更快更有效的数据聚集和筛选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAoVOM.html" rel="bookmark" class="title">imageview-以编程的方式取代选择器的图像</a>
					<div>
						问题描述 以编程的方式取代选择器的图像 ImageView中的一个可绘制的图像资源被设置为一个选择器.如何以编程方式访问这个选择器,来改变图像的突出显示和不突出显示的状态?以下是选择器的代码: &lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLm9AZz.html" rel="bookmark" class="title">如何把登录用户的头像放在excel的数据表中，如何在导出的数据表中插入头像？谢谢</a>
					<div>
						问题描述 如何把登录用户的头像放在excel的数据表中,如何在导出的数据表中插入头像?谢谢 如何把登录用户的头像放在excel的数据表中,如何在导出的数据表中插入头像?谢谢 解决方案 http://b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamV8Qb.html" rel="bookmark" class="title">网站内容布局的基本视觉表现方式</a>
					<div>
						绘制一个线框图是你在制作一个网站前必须要经历的过程.线框图能够帮助你合理的组织并简化你内容和元素,是网站内容布局的基本视觉表现方式,是网站开发过程中一个重要的步骤. 一.线框图的好处: 让项目组成员在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5N1D6z.html" rel="bookmark" class="title">用C&plus;&plus;写的单例模式，问题求解</a>
					<div>
						问题描述 用C++写的单例模式,问题求解 阉割过的代码 class S { public: S* getInstance() { if(instance==NULL) { instance=new S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLl8Vp.html" rel="bookmark" class="title">jquery empty&lpar;&rpar;用法与实例</a>
					<div>
						下面的html &lt;div class=&quot;container&quot;&gt;   &lt;div class=&quot;hello&quot;&gt;hello&lt;/div&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKg2oz.html" rel="bookmark" class="title">瑞信给网易&OpenCurlyDoubleQuote;跑赢大盘&rdquo;评级</a>
					<div>
						北京时间2月16日上午消息,瑞士信贷今天发布研究报告,给予网易(Nasdaq:NTES)&quot;跑赢大盘&quot;(Outperform)的股票评级,目标价为61.5美元. 以下为报告概要: 由 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKQmZp.html" rel="bookmark" class="title">亚马逊AWS CentOS7&lpar;linux&rpar;改为用户名密码登录</a>
					<div>
						1.进入AWS系统 略 系统为:centos 7 fox.风 2.设置ROOT密码 sudo passwd root 3.修改配置文件 sudo vim /etc/ssh/sshd_config 相应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLXKLM.html" rel="bookmark" class="title">91助手助新手玩转新手机</a>
					<div>
						硅谷网讯 这厢三星盖世4方价格松动下跌300,那厢iPhone5又再挤水分跌破4000,广大消费者的小心脏也逐渐受不了一次次降价刺激,纷纷出手将爱机收入囊中,接下来迎来的就是漫长的调教时期,如何将爱机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnlN4M.html" rel="bookmark" class="title">互联网 你到底怎么啦</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 近日,中国互联网界负面消息频传,先是有电子商务巨头因&quot;网购套现&quot;愈发猖獗,而陷入&quot;银行封杀&quot;事件; 后又有搜索引 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8N2rVb.html" rel="bookmark" class="title">JShot 2&period;1发布 屏幕捕获和上传工具</a>
					<div>
						JShot 2.1此版本包含改进和错误的修正. JShot是一款免费多平台的屏幕捕获和上传工具,允许你捕获和注释屏幕的一部分,并通过互联网中的一个步骤来分享.它可以截图上传到Web或用即时通讯发送.J ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QRxDp.html" rel="bookmark" class="title">JavaScript中的Screen屏幕对象&lowbar;基础知识</a>
					<div>
						这是基本JavaScript的屏幕对象 screen 屏幕对象 反映了当前用户的屏幕设置. width 返回屏幕的宽度(像素数). height 返回屏幕的高度. availWidth 返回屏幕的可用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr20R6M.html" rel="bookmark" class="title">PHP动态生成指定大小随机图片的方法&lowbar;php技巧</a>
					<div>
						本文实例讲述了PHP动态生成指定大小随机图片的方法.分享给大家供大家参考,具体如下: &lt;?php $image_width = 100; $image_height = 100; $image_ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNv55mM.html" rel="bookmark" class="title">JS删除数组元素的函数介绍&lowbar;javascript技巧</a>
					<div>
						split将字符串转为数组并输出的代码: 复制代码 代码如下: &lt;script language=&quot;javascript&quot;&gt;    function spli(){   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmrK1z.html" rel="bookmark" class="title">javascript中判断一个值是否在数组中并没有直接使用&lowbar;基础知识</a>
					<div>
						在JS中要判断一个值是否在数组中并没有函数直接使用,如PHP中就有in_array()这个函数.但我们可以写一个类似in_array()函数来判断是一个值否在函数中 例1 复制代码 代码如下: /*  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKOjnz.html" rel="bookmark" class="title">网站设计网站开发流程详细介绍</a>
					<div>
						第一步:客户提出需求 客户通过电话.电子邮件或在线订单方式提出自己网站建设方面的&quot;基本需求&quot;. 涉及内容包括:   1.公司介绍: 2.栏目描述: 3.网站基本功能需求: 4.基本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLNo3M.html" rel="bookmark" class="title">asp页面与sql数据库的数据访问与显示</a>
					<div>
						问题描述 用vs2008实现asp页面与sql数据库的访问,我这有个session[id]是用户登录时赋值的,然后要根据session[id]的值从sql数据库中选出对应id的所有用户信息,并在emp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boL1g6M.html" rel="bookmark" class="title">王力宏李云迪&OpenCurlyDoubleQuote;公布恋情&rdquo; 200万网友新浪微博热议&OpenCurlyDoubleQuote;宏迪恋&rdquo;</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 11月27日,王力宏首次通过新浪微博独家爆料女友身份,并表示&quot;她的名字是李靓(jìng)蕾,今年27岁,目前在哥伦比亚读研究所&quot;,引 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgP4xmp.html" rel="bookmark" class="title">求&period;net编写的简单的学生管理系统~~~ 急急急，明天就验收了~~~</a>
					<div>
						问题描述 就是简单的页面就ok啦~谢谢呀! 解决方案 解决方案二:讲笑话一样.解决方案三:你自己用photoshop画出十几个页面不好吗?会设计,有创意,知道哪些地方是&quot;坑&quot;,懂得 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrvK9VM.html" rel="bookmark" class="title">你了解模糊测试（fuzz testing）吗？</a>
					<div>
						模糊测试(fuzz testing)是一类安全性测试的方法.说起安全性测试,大部分人头脑中浮现出的可能是一个标准的&quot;黑客&quot;场景:某个不修边幅.脸色苍白的年轻人,坐在黑暗的房间中,正 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
